/*
 * Copyright (C) 2013 by the University of Southern California
 * $Id$
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef ANON_HH
#define ANON_HH

#include "global_var.h"
/*
	encryption or decryption of the domain name
*/
void anon_name(char *, unsigned char *, size_t, unsigned char *, size_t, std::string &, bool);
void anon_string(char *, unsigned char *, size_t, unsigned char *, size_t, std::string &, bool);

/*
	anonymize the rdata of each resource record
*/
void sub_anon_rdata(int, std::vector<std::string> &, int, unsigned char *, size_t, 
			unsigned char *, size_t, int);
void anon_rdata(int, std::string &, unsigned char *, size_t, 
			unsigned char *, size_t, int);

/*
	split a string
*/
void str_split2(std::string &, const char *, std::vector<std::string> &);

/*
	get the ip string, anonymization if needed
*/
void get_ip_str(struct sockaddr *, std::string &, bool, int);

/*
	remove the newline added by basd64 after every 64 char
*/
//void
//bash64_remove_newline(std::string &);

#endif // ANON_HH
