/*
 * Copyright (C) 2013-2019 by the University of Southern California
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef TABLE_HH
#define TABLE_HH

#include <cstdio>
#include <map>
#include <vector>
#include <string>

/*
	table class for each table/file
*/
class Table
{
public:
	Table (const std::string &cols, const std::string&, const std::vector<std::string>&);
	~Table();
	void put(const std::string&);
	void finalize(const std::string&);

private:
	void map_pipe();
	void clean_up();

	const std::string fsdb_header;
	std::vector<std::string> compressor;
	std::string file_name;
    FILE *fout;
};

#endif// TABLE_HH
